APG PayAPG Paydocs

Reporting

Get report conversation

GET/report-conversations/{reportConversationId}
Request
GEThttps://api.tst.au.apgpay.dev/report-conversations/{reportConversationId}
curl -X GET https://api.tst.au.apgpay.dev/report-conversations/{reportConversationId} \
  -H "Authorization: Bearer $API_KEY"

Return one of the caller's conversations with its messages, in order, to reopen it.

Permissions

Required permission
reports:query

Requires the `query` action on `reports` for the supplied runtime context

Path parameters

reportConversationIdstring
required

Responses

reportConversationIdRconvIdrequired

Identifier of one of the caller's conversations with Ask.

Example rconv_9f2Kd8QpLzXw

titlestringrequired
createdAtstring (date-time)required

Example 2026-08-19T04:21:07Z

lastActiveAtstring (date-time)required

Example 2026-08-19T04:21:07Z

Its messages in order, [] when it has none.

Example response
{
  "reportConversationId": "rconv_9f2Kd8QpLzXw",
  "title": "string",
  "createdAt": "2026-08-19T04:21:07Z",
  "lastActiveAt": "2026-08-19T04:21:07Z",
  "messages": [
    {
      "reportConversationMessageId": "rcmsg_9f2Kd8QpLzXw",
      "index": 1250,
      "status": "Answering",
      "prompt": "string",
      "reply": {
        "type": "RconvReplyAnswer",
        "text": "string"
      },
      "failure": "string",
      "usage": {
        "inputTokens": 1250,
        "outputTokens": 1250
      },
      "createdAt": "2026-08-19T04:21:07Z",
      "endedAt": "2026-08-19T04:21:07Z"
    }
  ]
}

Error responses